---
title: '`glab check-update`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Check for the latest glab version.

## Synopsis

Checks for the latest version of glab available on GitLab.com.

When you run this command explicitly, glab always checks for updates,
even if the previous check was less than 24 hours ago.

When glab runs this check automatically after other commands, it
checks for updates at most once every 24 hours.

To turn off the automatic update check, run
`glab config set check_update false`. To turn it back on,
run `glab config set check_update true`.

```plaintext
glab check-update [flags]
```

## Aliases

```plaintext
update
```

## Examples

```console
# Check for the latest glab version
glab check-update

# Check for the latest glab version using the alias
glab update

```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
